# BreakoutSplashScreenScene Class Reference

`#include <BreakoutSplashScreenScene.h>`

Inheritance diagram for BreakoutSplashScreenScene:

List of all members.

## Public Member Functions
| BreakoutSplashScreenScene ()
| ~BreakoutSplashScreenScene ()
virtual void | Initialise ()
virtual void | Draw ()
virtual void | Update ()
virtual void | Shutdown ()
virtual void | Activate ()
virtual void | Deactivate ()
virtual bool | HandleEvent (IEvent *pEvent)
## Protected Attributes
bool | m_bIsActive
SpriteID | m_agsText
SpriteID | m_myName
SpriteID | m_loadingText

## Detailed Description

Definition at line 7 of file BreakoutSplashScreenScene.h.

## Constructor & Destructor Documentation

BreakoutSplashScreenScene::BreakoutSplashScreenScene | ( |  | ) |

Definition at line 3 of file BreakoutSplashScreenScene.cpp.

BreakoutSplashScreenScene::~BreakoutSplashScreenScene | ( |  | ) |

Definition at line 9 of file BreakoutSplashScreenScene.cpp.

## Member Function Documentation

void BreakoutSplashScreenScene::Activate | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 40 of file BreakoutSplashScreenScene.cpp.

void BreakoutSplashScreenScene::Deactivate | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 45 of file BreakoutSplashScreenScene.cpp.

void BreakoutSplashScreenScene::Draw | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 21 of file BreakoutSplashScreenScene.cpp.

bool BreakoutSplashScreenScene::HandleEvent | ( | IEvent * | pEvent | ) | `[virtual]`

Implements IEventListener.

Definition at line 50 of file BreakoutSplashScreenScene.cpp.

void BreakoutSplashScreenScene::Initialise | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 14 of file BreakoutSplashScreenScene.cpp.

void BreakoutSplashScreenScene::Shutdown | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 33 of file BreakoutSplashScreenScene.cpp.

void BreakoutSplashScreenScene::Update | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 29 of file BreakoutSplashScreenScene.cpp.

## Member Data Documentation

SpriteID BreakoutSplashScreenScene::m_agsText`[protected]`

Definition at line 25 of file BreakoutSplashScreenScene.h.

bool BreakoutSplashScreenScene::m_bIsActive`[protected]`

Definition at line 24 of file BreakoutSplashScreenScene.h.

SpriteID BreakoutSplashScreenScene::m_loadingText`[protected]`

Definition at line 25 of file BreakoutSplashScreenScene.h.

SpriteID BreakoutSplashScreenScene::m_myName`[protected]`

Definition at line 25 of file BreakoutSplashScreenScene.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutSplashScreenScene.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutSplashScreenScene.cpp